org.apache.fop.events

## Class PropertyExceptionFactory

- java.lang.Object
- - org.apache.fop.events.PropertyExceptionFactory

- All Implemented Interfaces:
    EventExceptionManager.ExceptionFactory

      public class PropertyExceptionFactory
      extends Object
      implements EventExceptionManager.ExceptionFactory

  Exception factory for `PropertyException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyExceptionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `createException(Event event)`
    `Class<PropertyException>` | `getExceptionClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyExceptionFactory

          public PropertyExceptionFactory()

  - ### Method Detail

    - #### createException

          public Throwable createException(Event event)

      Specified by:
        `createException` in interface `EventExceptionManager.ExceptionFactory`

    - #### getExceptionClass

          public Class<PropertyException> getExceptionClass()

      Specified by:
        `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`

Copyright © 2023 Apache Software Foundation. All rights reserved.